petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMInterpolationSetUp

Computea spatial indices that add in point location during interpolation

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationSetUp(DMInterpolationInfo ctx, DM dm, PetscBool redundantPoints)

Collective on ctx

### Input Parameters

| ctx | - the context
| dm | - the DM for the function space used for interpolation
| redundantPoints | - If PETSC_TRUE, all processes are passing in the same array of points. Otherwise, points need to be communicated among processes.

### See Also

DMInterpolationEvaluate(), DMInterpolationAddPoints(), DMInterpolationCreate()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages